import { injectable } from "tsyringe";
import { WifiScan } from "../models/wifiScan";

@injectable()
export class WifiScanRepository {
  public async findAll() {
    return await WifiScan.findAll();
  }

  public async findById(id: string) {
    return await WifiScan.findByPk(id);
  }

  public async create(data: Partial<WifiScan>) {
    return await WifiScan.create(data);
  }

  public async update(id: string, data: Partial<WifiScan>) {
    const wifiScan = await this.findById(id);
    if (wifiScan) {
      return await wifiScan.update(data);
    }
    return null;
  }

  public async delete(id: string) {
    const wifiScan = await this.findById(id);
    if (wifiScan) {
      await wifiScan.destroy();
      return true;
    }
    return false;
  }
}
